org.apache.mina.filter.codec.demux

## Class MessageDecoderResult

- java.lang.Object
- - org.apache.mina.filter.codec.demux.MessageDecoderResult

-     public class MessageDecoderResult
      extends Object

  Represents results from `MessageDecoder`.
  Author:
    Apache MINA Project
  See Also:
    `MessageDecoder`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageDecoderResult` | `NEED_DATA` Represents a result from `MessageDecoder.decodable(IoSession, IoBuffer)` and `MessageDecoder.decode(IoSession, IoBuffer, ProtocolDecoderOutput)`.
    `static MessageDecoderResult` | `NOT_OK` Represents a result from `MessageDecoder.decodable(IoSession, IoBuffer)` and `MessageDecoder.decode(IoSession, IoBuffer, ProtocolDecoderOutput)`.
    `static MessageDecoderResult` | `OK` Represents a result from `MessageDecoder.decodable(IoSession, IoBuffer)` and `MessageDecoder.decode(IoSession, IoBuffer, ProtocolDecoderOutput)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OK

          public static MessageDecoderResult OK

      Represents a result from `MessageDecoder.decodable(IoSession, IoBuffer)` and `MessageDecoder.decode(IoSession, IoBuffer, ProtocolDecoderOutput)`. Please refer to each method's documentation for detailed explanation.

    - #### NEED_DATA

          public static MessageDecoderResult NEED_DATA

      Represents a result from `MessageDecoder.decodable(IoSession, IoBuffer)` and `MessageDecoder.decode(IoSession, IoBuffer, ProtocolDecoderOutput)`. Please refer to each method's documentation for detailed explanation.

    - #### NOT_OK

          public static MessageDecoderResult NOT_OK

      Represents a result from `MessageDecoder.decodable(IoSession, IoBuffer)` and `MessageDecoder.decode(IoSession, IoBuffer, ProtocolDecoderOutput)`. Please refer to each method's documentation for detailed explanation.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.